httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas Lindström <ant...@gmail.com>
Subject Re: [VOTE] 2.1.10 as GA
Date Tue, 22 Nov 2005 04:05:30 GMT
I dont really have anything to do with voting and such, i just thought
id raise a point about how the configure system works atm. If you
happen to have an APR installed in your system already you cant force
the source tree for APR to be built using --with-apr and
--with-apr-util (verified with a 1.2 installed, not sure about <
1.2.), i ran into this when building trunk for testing last time.

The only way to fix this was by adding two lines to the configure
script which basically forced configure to ignore any previously found
APRs, if you didnt use this apache would automagically use the already
installed APR. As far as i can see this is not how the documentation
is written as it suggests adding --with-apr and --with-apr-util with
the path to the source tree of APR and APR-Util to get it built.

I just thought it could be an idea to fix this before it goes out to the public.


/ Andreas

Mime
View raw message